package com.advanstar.test.servlet;

import org.hornetq.api.core.client.*;
import org.hornetq.api.core.TransportConfiguration;
import org.hornetq.api.core.HornetQException;
import org.hornetq.core.remoting.impl.invm.InVMConnectorFactory;
import org.apache.commons.lang.time.StopWatch;

/**
 * User: a_vijay
 * Date: Feb 4, 2010
 * Time: 10:58:34 PM
 * To change this template use File | Settings | File Templates.
 */
public class MessageReceiver {


    public void receiveMessage() throws Exception {
        int numConsumers = 5;

        StopWatch stopWatch = new StopWatch();
        stopWatch.start();

        //ClientSessionFactory sf = HornetQClient.createClientSessionFactory(new TransportConfiguration(InVMConnectorFactory.class.getName()));
        final String queueName = MessageSendAndReceive.QUEUE_NAME;
        ClientSession session = MessageSendAndReceive.getSession();
        for (int i = 0; i < numConsumers; i++) {
            ClientConsumer messageConsumer = session.createConsumer(queueName);
            messageConsumer.setMessageHandler(new MsgHandler("Consumer " + i, session));
            session.start();
        }
        stopWatch.stop();
        System.out.println("Timetook for Migrating Authors==> " + stopWatch.toString());


    }
}
