package com.advanstar.test.servlet;

import org.apache.commons.pool.impl.GenericObjectPool;
import org.apache.commons.pool.ObjectPool;
import org.hornetq.api.core.client.ClientSession;

/**
 * User: a_vijay
 * Date: Feb 11, 2010
 * Time: 2:03:14 AM
 * To change this template use File | Settings | File Templates.
 */
public class SessionPool extends GenericObjectPool{

    public SessionPool(int size){
        super(new SessionPoolFactory(), size, GenericObjectPool.WHEN_EXHAUSTED_GROW,60000,false,false);
    }

    public ClientSession borrowSession(){
     try{
       return (ClientSession)borrowObject();
     }catch(Exception ex){
         ex.printStackTrace();
         //TODO
     }
      return null;
    }

    public void returnSession(ClientSession session){
        try {
            super.returnObject(session);
        } catch (Exception e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
            //TODO
        }
    }

    public String getPoolStatus(){

        GenericObjectPool pool = this;
        StringBuffer sb = new StringBuffer();
        sb.append("SessionPool").append(" pool:\n").append("\tactive:  ").append(pool.getNumActive())
               .append("\n\tidle  :  ").append(pool.getNumIdle());
        sb.append("\n\tmax   : ").append(((GenericObjectPool) pool).getMaxActive());
        sb.append("\n\n");
        return sb.toString();

    }

}
