package com.advanstar.test.servlet;

import org.hornetq.api.core.client.*;
import org.hornetq.api.core.TransportConfiguration;
import org.hornetq.api.core.HornetQException;
import org.hornetq.core.remoting.impl.invm.InVMConnectorFactory;

import java.util.concurrent.Callable;
import java.util.Date;

/**
 * User: a_vijay
 * Date: Feb 4, 2010
 * Time: 9:00:41 PM
 * To change this template use File | Settings | File Templates.
 */
public class OrigSender implements Runnable {

    private String tmessage;

    //private ClientSession session;

    @Override
    public void run()  {
        
        final String queueName = MessageSendAndReceive.QUEUE_NAME;
        ClientSession session = null;

            try
            {
               // Step 5. Create the session, and producer
               //session = sf.createSession();

                session = MessageSendAndReceive.getSession();
               //System.out.println("session ack = " + session.isAutoCommitAcks());
               ClientProducer producer = session.createProducer(queueName);
               // Step 6. Create and send a durable message
               ClientMessage message = session.createMessage(true);
               final String propName = "myprop";
               message.putStringProperty(propName, tmessage);
               System.out.println(tmessage );
               producer.send(message);
               session.commit();
            }catch(Exception ex){
                ex.printStackTrace();
            }

        finally{

                MessageSendAndReceive.closeSession(session);

//                if(session != null ){
//                    try {
//                        session.close();
//                    } catch (HornetQException e) {
//                        e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
//                    }
//                }
                            }

 }

    public OrigSender(String tmessage) {
        this.tmessage = tmessage;
    }

    public String getTmessage() {
        return tmessage;
    }

    public void setTmessage(String tmessage) {
        this.tmessage = tmessage;
    }

//    public OrigSender(String tmessage, ClientSession session) {
//        this.tmessage = tmessage;
//        this.session = session;
//    }
}